Skip to main content
POST
/
migrate
/
export
Export data to OneCLI Cloud
curl --request POST \
  --url https://api.onecli.sh/v1/migrate/export \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cloudApiKey": "<string>",
  "cloudUrl": "<string>"
}
'
{
  "imported": {
    "secrets": 123,
    "agents": 123,
    "agentSecrets": 123,
    "rules": 123
  },
  "skipped": [
    {
      "type": "<string>",
      "name": "<string>",
      "reason": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key obtained from the dashboard or GET /user/api-key

Body

application/json
cloudApiKey
string
required

OneCLI Cloud API key to import into.

cloudUrl
string<uri>

Override the Cloud API URL (default: https://api.onecli.sh).

Response

Migration result

imported
object
skipped
object[]